Subject: bug#26770: [PATCH] gnu: tailon: Add missing inputs.

From: Christopher Baines <[email-masked]>
Date: Mon, 15 May 2017 07:25:49 +0100

On Fri, 05 May 2017 18:33:41 +0200
Marius Bakke <[email-masked]> wrote:

> Christopher Baines <[email-masked]> writes:
> 
> > * gnu/packages/logging.scm (tailon)[inputs]: Add grep, gawk, sed
> > and coreutils as inputs.
> >   [arguments]: Wrap bin/tailon to include some inputs in the PATH.  
> 
> Generally it's better to fully qualify the paths to these programs in
> the code. Is that difficult here?

Good point, I've send an updated patch that does this.

> I think all of these inputs are already available, so you can do e.g.:
> (substitute "foo"
>   (("'grep'") (which "grep))
>   (("'gawk'") (which "gawk")))
> 
> ...instead of referencing the inputs explicitly.

That works, I've changed that in the latest patch also.

Thanks for your review :)